# Return AI App Builder domains

This function returns the AI App Builder domains' information for the cPanel account.

Note:

  This function requires that your package includes the AI App Builder feature.

Important:

  When you disable the AI App Builder feature, the system disables this function.

Endpoint: GET /Nova/get_all_user_nova_info
Version: 11.138.0.10
Security: BasicAuth

## Query parameters:

  - `domain` (string)
    The domain to use for the AI App Builder website. When you specify a
domain, the function returns information for that domain only.
Otherwise, it returns information for every domain on the account.
    Example: "example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_all_user_nova_info"

  - `module` (string)
    The name of the module called.
    Example: "Nova"

  - `result` (object)

  - `result.data` (array)

  - `result.data.domain` (string)
    The name of the cPanel user's domain.
    Example: "example.com"

  - `result.data.metadata` (object)

  - `result.data.metadata.company` (string)
    The website's company.
    Example: "cPanel"

  - `result.data.metadata.cpanelDomainGUID` (string)
    The cPanel user's domain.
    Example: "example.com"

  - `result.data.metadata.document_root` (string)
    The absolute path to the domain's document root directory.
    Example: "/home/example/public_html"

  - `result.data.metadata.fullcms` (integer)
    Whether the full AI App Builder Content Management System is enabled.
* 1 - Full CMS is enabled.
* 0 - Full CMS is disabled.
    Enum: 1, 0

  - `result.data.metadata.language` (string)
    The language selection for the AI App Builder Content Management System.
    Example: "en"

  - `result.data.metadata.latest_publish_date` (integer)
    The last successful publication of the AI App Builder domain in Unix time format.
    Example: 1706889600

  - `result.data.metadata.publish_status` (integer)
    Whether the AI App Builder domain is published.
* 1 - Website is published.
* 0 - Website is not published.
    Enum: 1, 0

  - `result.data.metadata.session_minted_at` (integer)
    When an AI App Builder session was last created for this domain, in Unix time format.
    Example: 1706893200

  - `result.data.metadata.websiteId` (integer)
    The website ID of the created website.
    Example: 444444

  - `result.data.quota` (object)

  - `result.data.quota.available_space` (integer)
    The amount of space available in megabytes (MB).
    Example: 1024

  - `result.data.quota.can_backup` (integer)
    Whether the document root has enough space to make a backup.
* 1 - There is enough space.
* 0 - There is not enough space.
    Enum: 1, 0

  - `result.data.quota.is_docroot_empty` (integer)
    Whether the document root is empty.
* 1 - Document root is empty.
* 0 - Document root is not empty.
    Enum: 1, 0

  - `result.data.quota.required_space` (integer)
    The amount of space required in megabytes (MB) for a document root backup.
    Example: 64

  - `result.data.redirection_enabled` (integer)
    Whether the domain redirects to another URL.
* 1 - Redirects.
* 0 - Doesn't redirect.
    Enum: 1, 0

  - `result.data.shared_doc_root` (integer)
    Whether the AI App Builder domain shares its document root.
* 1 - The document root is shared.
* 0 - The document root is not shared.
    Enum: 1, 0

  - `result.data.status` (object)

  - `result.data.status.has_nova_published` (integer)
    Whether the AI App Builder website is published.
* 1 - AI App Builder website is published.
* 0 - AI App Builder website is not published.
    Enum: 1, 0

  - `result.data.status.has_nova_session` (integer)
    Whether an AI App Builder session has been started for this domain.
True from the moment a magic link is minted for the domain, before
anything is published, and independent of has_nova_website.
* 1 - User has started an AI App Builder session.
* 0 - User has not started an AI App Builder session.
    Enum: 1, 0

  - `result.data.status.has_nova_website` (integer)
    Whether an AI App Builder website exists for this domain.
* 1 - An AI App Builder website exists.
* 0 - No AI App Builder website exists.
    Enum: 1, 0

  - `result.data.status.is_nova` (integer)
    Whether the domain's document root directory's index.html file contains AI App Builder deployed content.
* 1 - User has an AI App Builder website.
* 0 - User does not have an AI App Builder website.
    Enum: 1, 0

  - `result.data.status.ssl_status` (integer)
    Whether the domain has a valid SSL certificate.
* 1 - Domain has a valid SSL certificate.
* 0 - Domain does not have a valid SSL certificate or certificate is invalid.
    Enum: 1, 0

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.main_domain` (string)
    The domain is the account's main domain.
    Example: "example.com"

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


